| All Verbs | /RestApi/Sitefinity/Analytics/GetCurrentAccountSettings |
|---|
using System;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using ServiceStack;
using ServiceStack.DataAnnotations;
using Telerik.Sitefinity.Analytics.Server.Infrastructure.Services.ServiceStackServices.Model;
namespace Telerik.Sitefinity.Analytics.Server.Infrastructure.Services.ServiceStackServices.Model
{
public partial class GetCurrentAccountSettingsData
{
public virtual string ClientId { get; set; }
public virtual string ClientSecret { get; set; }
public virtual string TrackingCode { get; set; }
public virtual string TrackedDomain { get; set; }
public virtual string SelectedAccount { get; set; }
public virtual string SelectedProfile { get; set; }
public virtual string SelectedWebPropertyId { get; set; }
public virtual bool UseEquals { get; set; }
public virtual bool PrependHost { get; set; }
}
public partial class GetCurrentAccountSettingsMessage
{
public virtual string ClientId { get; set; }
public virtual string ClientSecret { get; set; }
public virtual string SelectedProfile { get; set; }
public virtual string TrackedDomain { get; set; }
public virtual Guid SiteId { get; set; }
}
}
C# GetCurrentAccountSettingsMessage DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/Sitefinity/Analytics/GetCurrentAccountSettings HTTP/1.1
Host: www.asg.com.au
Accept: text/jsv
Content-Type: text/jsv
Content-Length: length
{
ClientId: String,
ClientSecret: String,
SelectedProfile: String,
TrackedDomain: String
}
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
ClientId: String,
ClientSecret: String,
TrackingCode: String,
TrackedDomain: String,
SelectedAccount: String,
SelectedProfile: String,
SelectedWebPropertyId: String,
UseEquals: False,
PrependHost: False
}